$btnColor:#FFF;
$mainColor:black;

body {
  background: white;
  font-family: "Helvetica", Helvetica, Arial, sans-serif;
  font-size:10px;
  color: #333;
  margin:0em;
  padding:0em;
  top:0em;
  background-color: black;
  background-image: url('../images/bg.jpg');
  background-repeat: repeat;
  -webkit-tap-highlight-color: rgba(0,0,0,0);
  padding:5em 10em;
}

span{
  font-size:1.8em;
}

.hide{
  display: none;
}

.width60{
  width:60% !important;
  .uploadCon{
    max-width:100% !important;
    img{
      background-color: white !important;
    }
    .preview{
      max-width:100% !important;
    }
  }
}

.pName{
  width:100%;
  padding:1em 0 1em 0;
  border-bottom: .2em solid black;
  margin-bottom:2em;
  span{
    font-size: 3em;
  }
  .btn{
    float:right;
    margin:0em;
  }
}

.page,
#content,
#preloader
{
  display: none;
}

input{
  font-size:1.5em;
  padding:8px 0px 8px 0px;
  color:black;
  border:0em;
  outline-width: 0;
  text-align: center;
  background-color: #ebebeb;
}

.btn{
  background-color:$mainColor;
  text-align: center;
  width:12em;
  padding:1em 1em;
  cursor: pointer;
  margin-top: 2em;
  margin-bottom: 2em;
  span{
    color:$btnColor;
    font-size: 1.8em;
  }
}

.uploadBtn{
  display: none;
}

.fileInput{
  display:none;
}

.preview{
  position:relative;
  width:100%;
  max-width: 16em;
  // display:none;
}

::-webkit-input-placeholder {
    color:black;
}
:-moz-placeholder {
  color:black;
}
::-moz-placeholder {
  color:black;
}
:-ms-input-placeholder {
  color:black;
}

img{
  width:100%;
}

#header{
  position: relative;
  top:0em;
  left:0em;
  height:5em;
  display:none;

  .logo{
    float:left;
    width:20%;
    min-width: 20em;
  }
  #info{
    float: right;
    span{
      font-size: 1.2em;
    }
    div{
      float: left;
      font-size: 1.3em;
      margin-left: 2em;
    }
    .logoutBtn{
      border-bottom: .1em solid black;
      text-align: center;
    }
  }
}

#index{
  position:relative;
  padding:5em 2em;
  width:100%;
  height:100%;
  background-color:white;
  >div{
    width:50%;
    margin:auto;
    input{
      width:100%;
    }
    img{
      width:100%;
    }
  }
}


#main{
  background-color: white;
  box-shadow: 1.2em 0 1.5em -.4em gray, -1.5em 0 2em -.9em gray;
  position:relative;
  overflow:hidden;
  display:none;
}


#content{
  width:100%;
  #nav{
    // position: relative;
    float:left;
    width:20%;
    left:0em;
    text-align: center;
    background-color: black;

    .whiteBg{
      background-color: white;
      padding:1em;
    }

    h1{
      color:white;
    }

    ul{
      list-style: none;
      margin:0em;
      padding:0em;
      li{
        position: relative;
        text-align: left;
        padding:1em;
        color:white;
        background-color: #4e4d4d;
        border-top: .1em solid white;
        border-bottom: .1em solid white;
      }
      li:hover{
        cursor: pointer;
      }
      li.disable:hover{
        cursor: auto;
      }
      li.active{
        background-color: #dfdfdf;
        color:black;
      }
      li.active::after{
        position: absolute;
        content:'';
        right:-2.1em;
      	height: 0;
        top:0em;
      	border-top: 2.1em solid transparent;
      	border-bottom: 2.1em solid transparent;
      	border-left: 2.1em solid #dfdfdf;
      }
    }

    #control{
      position:relative;
      clear: both;
      width:100%;
      text-align: center;
      div{
        position:relative;
        background-color: black;
        width:50%;
        margin:auto;
        margin-top: 1em;
        margin-bottom: 1em;
      }

      #publishBtn{
        background-color: gray;
      }
      #publishBtn.active{
        background-color: black;
      }
    }
  }
  .page{
    position:relative;
    float:left;
    width:70%;
    padding:5em 0 2em 4em;

    .container{
      width:100%;
      overflow: hidden;
      border-bottom: .1em solid black;
      padding-bottom: 2em;

      .pContent{
        float: left;
        width:70%;

        .row{
          position: relative;
          clear:both;
          margin-bottom:2em;
          width:100%;

          >span,
          >div
          {
            width:25%;
            display: inline-block;
          }

          .long{
            width:75%;
          }

          textarea{
            width:53%;
            padding:.3em;
            display: inline-block;
            vertical-align: top;
          }

          input{
            width:65%;
            padding:.3em;
            text-align: left;
            // display: inline-block;
          }
          .float{
            float: left;
          }

          .checkbox{
            width:5%;
          }

          label{
            font-size: 1.8em;
          }
        }
      }
      .pContent.w50{
        width:50%;
      }
      .pContent.imgRight{
        width:30%;
      }
    }
  }
}

.full{
  width:100% !important;
}

input.ml{
  margin-left: 1.2em;
}

.row.ml{
  margin-left: 2em;
}

hr{
  margin-bottom: 2em;
}

.clear{
  clear: both;
}

.uploadCon{
  max-width: 20em;
  img{
    background-color:$mainColor;
  }
}

.floatR{
  float:right;
}

.quoteCon{
  .uploadCon{
    float:left;
    padding-left:0em;
    width:15%;
    margin-right:1em;
  }
  .btn{
    padding:0.5em 0;
    margin-top: 0em;
  }
}

#preview{
  background-color: white !important;
  span{
    color:black !important;
  }
}

#reportBtn{
  background-color: black !important;
  span{
    color:white !important;
  }
}


// ---------  Prize component  ---------//
.prizeStaff.disable,
.prizeCode.disable
{
  display:none;
}

.prizeOff.disable{
  span{
    color:rgb(37, 37, 37);
  }
}

.prizeCheckbox{
  width:45% !important;
}

#qrcodeOver{
  position: fixed;
  display:none;
  z-index:1000;
  width:100%;
  height:100%;
  text-align: center;
  top:0em;
  left:0em;
  background: rgba(0, 0, 0, 0.5);

  #qrcode{
    position: relative;
    width:30%;
    margin:auto;
    margin-top: 10%;
    background-color: white;
    padding:2em;
  }

  .btn{
    position: relative;
    margin:auto !important;
    margin-top:5%;
  }
}

.ql-editor{
  background-color:rgb(222, 222, 222);
}


// ------ dnd -------//
// #dropbox {
//   position: relative;
// 	width: 425px;
// 	height: 300px;
// 	border: 2px solid #DDD;
// 	-moz-border-radius: 8px;
// 	-webkit-border-radius: 8px;
// 	background-color: #FEFFEC;
// 	text-align: center;
// 	color: #BBB;
// 	font-size: 2em;
// 	font-family: Arial, sans-serif;
// }
//
// #progressbar {
// 	margin-left: 20px;
// 	margin-right: 20px;
// 	position: relative;
// 	top: 75%;
// }
//
// #droplabel {
// 	position: relative;
// 	top: 40%;
// }
